%define prefix /opt/kde

Name: kreatecd
Summary: Frontend for CD writers using the K Desktop Environment.
Version: 0.3.0
Release: 1
Source:  %{name}-%{version}.tar.gz
URL: ftp://ftp.kde.org/pub/kde/unstable/apps/multimedia/cdrom
Group: X11/KDE/Applications
Copyright: GPL
BuildRoot: /tmp/RPMBUILD/%{name} 
Prefix: %{prefix}
Requires: cdrecord cdparanoia mkisofs
Packager: Brian Wright <bdw@aturna.com>
Vendor: Aturna Communications <http://www.aturna.net> 

%description
KreateCD is a graphical frontend for some cd recording software. It can
be used to simplify the process of creating CD-Rs on Linux computers with
the K desktop environment installed. This utility calls the base applications
(which are shell commands) for you so you will be able to burn CD-Rs very
comfortably without knowing dozens of options and switches. :-)
 
KreateCD is far from being complete but you will already be able to burn some
simple CD-Rs with it. There is no ISO9660 mastering support by now but you
should be able to copy CD-ROMs and audio CDDA. You can even burn your favorite
.WAV files on CDDA - including automatic boosting so that the maximum dynamic
range of the CDDA is used.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q 

%build
export KDEDIR=%{prefix}
CXXFLAGS="$RPM_OPT_FLAGS" CFLAGS="$RPM_OPT_FLAGS" 

./configure --prefix=$KDEDIR --with-install-root=$RPM_BUILD_ROOT \
--with-qt-dir=/usr/lib/qt-1.44 \
--with-qt-includes=/usr/lib/qt-1.44/include \
--with-qt-libraries=/usr/lib/qt-1.44/lib \


mkdir -p $RPM_BUILD_ROOT    
if [ "$SMP" != "" ]; then
  (make KDEDIR=$KDEDIR "MAKE=make -k -j $SMP"; exit 0)
  make KDEDIR=$KDEDIR
else
  make KDEDIR=$KDEDIR
fi

%install
export KDEDIR=%{_prefix}
make prefix=$RPM_BUILD_ROOT$KDEDIR install-strip

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > $RPM_BUILD_DIR/file.list.%{name}
find . -type f | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.%{name}
find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.%{name}

%clean
rm -rf $RPM_BUILD_ROOT
rm -f ../file.list.%{name}

%files -f ../file.list.%{name} 

%doc TODO README COPYING ChangeLog

%changelog
* Thu Dec 9 1999 Brian Wright <bdw@aturna.com>
- Initial build for RedHat linux 6.x using /opt/kde
